#include <math.h>
#include "EVwithERSorFC_acc.h"
#include "EVwithERSorFC_acc_private.h"
#include <stdio.h>
#include "slexec_vm_simstruct_bridge.h"
#include "slexec_vm_zc_functions.h"
#include "slexec_vm_lookup_functions.h"
#include "slsv_diagnostic_codegen_c_api.h"
#include "simtarget/slSimTgtMdlrefSfcnBridge.h"
#include "simstruc.h"
#include "fixedpoint.h"
#define CodeFormat S-Function
#define AccDefine1 Accelerator_S-Function
#include "simtarget/slAccSfcnBridge.h"
#ifndef __RTW_UTFREE__  

extern void * utMalloc ( size_t ) ; extern void utFree ( void * ) ;
#endif
boolean_T EVwithERSorFC_acc_rt_TDelayUpdateTailOrGrowBuf ( int_T * bufSzPtr ,
int_T * tailPtr , int_T * headPtr , int_T * lastPtr , real_T tMinusDelay ,
real_T * * tBufPtr , real_T * * uBufPtr , real_T * * xBufPtr , boolean_T
isfixedbuf , boolean_T istransportdelay , int_T * maxNewBufSzPtr ) { int_T
testIdx ; int_T tail = * tailPtr ; int_T bufSz = * bufSzPtr ; real_T * tBuf =
* tBufPtr ; real_T * xBuf = ( NULL ) ; int_T numBuffer = 2 ; if (
istransportdelay ) { numBuffer = 3 ; xBuf = * xBufPtr ; } testIdx = ( tail <
( bufSz - 1 ) ) ? ( tail + 1 ) : 0 ; if ( ( tMinusDelay <= tBuf [ testIdx ] )
&& ! isfixedbuf ) { int_T j ; real_T * tempT ; real_T * tempU ; real_T *
tempX = ( NULL ) ; real_T * uBuf = * uBufPtr ; int_T newBufSz = bufSz + 1024
; if ( newBufSz > * maxNewBufSzPtr ) { * maxNewBufSzPtr = newBufSz ; } tempU
= ( real_T * ) utMalloc ( numBuffer * newBufSz * sizeof ( real_T ) ) ; if (
tempU == ( NULL ) ) { return ( false ) ; } tempT = tempU + newBufSz ; if (
istransportdelay ) tempX = tempT + newBufSz ; for ( j = tail ; j < bufSz ; j
++ ) { tempT [ j - tail ] = tBuf [ j ] ; tempU [ j - tail ] = uBuf [ j ] ; if
( istransportdelay ) tempX [ j - tail ] = xBuf [ j ] ; } for ( j = 0 ; j <
tail ; j ++ ) { tempT [ j + bufSz - tail ] = tBuf [ j ] ; tempU [ j + bufSz -
tail ] = uBuf [ j ] ; if ( istransportdelay ) tempX [ j + bufSz - tail ] =
xBuf [ j ] ; } if ( * lastPtr > tail ) { * lastPtr -= tail ; } else { *
lastPtr += ( bufSz - tail ) ; } * tailPtr = 0 ; * headPtr = bufSz ; utFree (
uBuf ) ; * bufSzPtr = newBufSz ; * tBufPtr = tempT ; * uBufPtr = tempU ; if (
istransportdelay ) * xBufPtr = tempX ; } else { * tailPtr = testIdx ; }
return ( true ) ; } void EVwithERSorFC_acc_BINARYSEARCH_real_T ( uint32_T *
piLeft , uint32_T * piRght , real_T u , const real_T * pData , uint32_T iHi )
{ * piLeft = 0U ; * piRght = iHi ; if ( u <= pData [ 0 ] ) { * piRght = 0U ;
} else if ( u >= pData [ iHi ] ) { * piLeft = iHi ; } else { uint32_T i ;
while ( ( * piRght - * piLeft ) > 1U ) { i = ( * piLeft + * piRght ) >> 1 ;
if ( u < pData [ i ] ) { * piRght = i ; } else { * piLeft = i ; } } } } void
EVwithERSorFC_acc_LookUp_real_T_real_T_SAT ( real_T * pY , const real_T *
pYData , real_T u , const real_T * pUData , uint32_T iHi ) { uint32_T iLeft ;
uint32_T iRght ; EVwithERSorFC_acc_BINARYSEARCH_real_T ( & ( iLeft ) , & (
iRght ) , u , pUData , iHi ) ; { real_T lambda ; if ( pUData [ iRght ] >
pUData [ iLeft ] ) { real_T num ; real_T den ; den = pUData [ iRght ] ; den
-= pUData [ iLeft ] ; num = u ; num -= pUData [ iLeft ] ; lambda = num / den
; } else { lambda = 0.0 ; } { real_T yLeftCast ; real_T yRghtCast ; yLeftCast
= pYData [ iLeft ] ; yRghtCast = pYData [ iRght ] ; yLeftCast += lambda * (
yRghtCast - yLeftCast ) ; ( * pY ) = yLeftCast ; } } } real_T
EVwithERSorFC_acc_rt_TDelayInterpolate ( real_T tMinusDelay , real_T tStart ,
real_T * tBuf , real_T * uBuf , int_T bufSz , int_T * lastIdx , int_T
oldestIdx , int_T newIdx , real_T initOutput , boolean_T discrete , boolean_T
minorStepAndTAtLastMajorOutput ) { int_T i ; real_T yout , t1 , t2 , u1 , u2
; if ( ( newIdx == 0 ) && ( oldestIdx == 0 ) && ( tMinusDelay > tStart ) )
return initOutput ; if ( tMinusDelay <= tStart ) return initOutput ; if ( (
tMinusDelay <= tBuf [ oldestIdx ] ) ) { if ( discrete ) { return ( uBuf [
oldestIdx ] ) ; } else { int_T tempIdx = oldestIdx + 1 ; if ( oldestIdx ==
bufSz - 1 ) tempIdx = 0 ; t1 = tBuf [ oldestIdx ] ; t2 = tBuf [ tempIdx ] ;
u1 = uBuf [ oldestIdx ] ; u2 = uBuf [ tempIdx ] ; if ( t2 == t1 ) { if (
tMinusDelay >= t2 ) { yout = u2 ; } else { yout = u1 ; } } else { real_T f1 =
( t2 - tMinusDelay ) / ( t2 - t1 ) ; real_T f2 = 1.0 - f1 ; yout = f1 * u1 +
f2 * u2 ; } return yout ; } } if ( minorStepAndTAtLastMajorOutput ) { if (
newIdx != 0 ) { if ( * lastIdx == newIdx ) { ( * lastIdx ) -- ; } newIdx -- ;
} else { if ( * lastIdx == newIdx ) { * lastIdx = bufSz - 1 ; } newIdx =
bufSz - 1 ; } } i = * lastIdx ; if ( tBuf [ i ] < tMinusDelay ) { while (
tBuf [ i ] < tMinusDelay ) { if ( i == newIdx ) break ; i = ( i < ( bufSz - 1
) ) ? ( i + 1 ) : 0 ; } } else { while ( tBuf [ i ] >= tMinusDelay ) { i = (
i > 0 ) ? i - 1 : ( bufSz - 1 ) ; } i = ( i < ( bufSz - 1 ) ) ? ( i + 1 ) : 0
; } * lastIdx = i ; if ( discrete ) { double tempEps = ( DBL_EPSILON ) *
128.0 ; double localEps = tempEps * muDoubleScalarAbs ( tBuf [ i ] ) ; if (
tempEps > localEps ) { localEps = tempEps ; } localEps = localEps / 2.0 ; if
( tMinusDelay >= ( tBuf [ i ] - localEps ) ) { yout = uBuf [ i ] ; } else {
if ( i == 0 ) { yout = uBuf [ bufSz - 1 ] ; } else { yout = uBuf [ i - 1 ] ;
} } } else { if ( i == 0 ) { t1 = tBuf [ bufSz - 1 ] ; u1 = uBuf [ bufSz - 1
] ; } else { t1 = tBuf [ i - 1 ] ; u1 = uBuf [ i - 1 ] ; } t2 = tBuf [ i ] ;
u2 = uBuf [ i ] ; if ( t2 == t1 ) { if ( tMinusDelay >= t2 ) { yout = u2 ; }
else { yout = u1 ; } } else { real_T f1 = ( t2 - tMinusDelay ) / ( t2 - t1 )
; real_T f2 = 1.0 - f1 ; yout = f1 * u1 + f2 * u2 ; } } return ( yout ) ; }
uint32_T plook_binx ( real_T u , const real_T bp [ ] , uint32_T maxIndex ,
real_T * fraction ) { uint32_T bpIndex ; if ( u <= bp [ 0U ] ) { bpIndex = 0U
; * fraction = ( u - bp [ 0U ] ) / ( bp [ 1U ] - bp [ 0U ] ) ; } else if ( u
< bp [ maxIndex ] ) { bpIndex = binsearch_u32d ( u , bp , maxIndex >> 1U ,
maxIndex ) ; * fraction = ( u - bp [ bpIndex ] ) / ( bp [ bpIndex + 1U ] - bp
[ bpIndex ] ) ; } else { bpIndex = maxIndex - 1U ; * fraction = ( u - bp [
maxIndex - 1U ] ) / ( bp [ maxIndex ] - bp [ maxIndex - 1U ] ) ; } return
bpIndex ; } real_T look1_binlxpw ( real_T u0 , const real_T bp0 [ ] , const
real_T table [ ] , uint32_T maxIndex ) { real_T frac ; uint32_T iRght ;
uint32_T iLeft ; uint32_T bpIdx ; if ( u0 <= bp0 [ 0U ] ) { iLeft = 0U ; frac
= ( u0 - bp0 [ 0U ] ) / ( bp0 [ 1U ] - bp0 [ 0U ] ) ; } else if ( u0 < bp0 [
maxIndex ] ) { bpIdx = maxIndex >> 1U ; iLeft = 0U ; iRght = maxIndex ; while
( iRght - iLeft > 1U ) { if ( u0 < bp0 [ bpIdx ] ) { iRght = bpIdx ; } else {
iLeft = bpIdx ; } bpIdx = ( iRght + iLeft ) >> 1U ; } frac = ( u0 - bp0 [
iLeft ] ) / ( bp0 [ iLeft + 1U ] - bp0 [ iLeft ] ) ; } else { iLeft =
maxIndex - 1U ; frac = ( u0 - bp0 [ maxIndex - 1U ] ) / ( bp0 [ maxIndex ] -
bp0 [ maxIndex - 1U ] ) ; } return ( table [ iLeft + 1U ] - table [ iLeft ] )
* frac + table [ iLeft ] ; } uint32_T binsearch_u32d ( real_T u , const
real_T bp [ ] , uint32_T startIndex , uint32_T maxIndex ) { uint32_T bpIndex
; uint32_T iRght ; uint32_T bpIdx ; bpIdx = startIndex ; bpIndex = 0U ; iRght
= maxIndex ; while ( iRght - bpIndex > 1U ) { if ( u < bp [ bpIdx ] ) { iRght
= bpIdx ; } else { bpIndex = bpIdx ; } bpIdx = ( iRght + bpIndex ) >> 1U ; }
return bpIndex ; } void rt_ssGetBlockPath ( SimStruct * S , int_T sysIdx ,
int_T blkIdx , char_T * * path ) { _ssGetBlockPath ( S , sysIdx , blkIdx ,
path ) ; } void rt_ssSet_slErrMsg ( SimStruct * S , void * diag ) { if ( !
_ssIsErrorStatusAslErrMsg ( S ) ) { _ssSet_slErrMsg ( S , diag ) ; } else {
_ssDiscardDiagnostic ( S , diag ) ; } } void rt_ssReportDiagnosticAsWarning (
SimStruct * S , void * diag ) { _ssReportDiagnosticAsWarning ( S , diag ) ; }
static void mdlOutputs ( SimStruct * S , int_T tid ) { real_T B_13_48_0 ;
real_T B_13_64_0 ; real_T B_13_74_0 ; real_T B_13_183_0 ; real_T B_13_209_0 ;
real_T B_13_213_0 ; real_T B_13_215_0 ; real_T B_6_0_0 ; ZCEventType zcEvent
; real_T rtb_B_13_7_0 ; real_T rtb_B_13_29_0 ; real_T rtb_B_13_32_0 ;
uint32_T scalarIndex ; real_T scalarFraction ; real_T rtb_B_13_73_0 ; real_T
rtb_B_13_80_0 ; real_T rtb_B_13_35_0 ; real_T rtb_B_13_62_0 ; real_T
rtb_B_13_200_0 ; real_T rtb_B_13_205_0 ; real_T rtb_B_13_8_0 ; int32_T isHit
; void * diag ; real_T u0 ; B_EVwithERSorFC_T * _rtB ; P_EVwithERSorFC_T *
_rtP ; X_EVwithERSorFC_T * _rtX ; PrevZCX_EVwithERSorFC_T * _rtZCE ;
DW_EVwithERSorFC_T * _rtDW ; _rtDW = ( ( DW_EVwithERSorFC_T * )
ssGetRootDWork ( S ) ) ; _rtZCE = ( ( PrevZCX_EVwithERSorFC_T * )
_ssGetPrevZCSigState ( S ) ) ; _rtX = ( ( X_EVwithERSorFC_T * )
ssGetContStates ( S ) ) ; _rtP = ( ( P_EVwithERSorFC_T * ) ssGetModelRtp ( S
) ) ; _rtB = ( ( B_EVwithERSorFC_T * ) _ssGetModelBlockIO ( S ) ) ; if ( _rtX
-> vs_CSTATE >= _rtP -> P_12 ) { if ( _rtX -> vs_CSTATE != _rtP -> P_12 ) {
_rtX -> vs_CSTATE = _rtP -> P_12 ; ssSetBlockStateForSolverChangedAtMajorStep
( S ) ; } } else { if ( ( _rtX -> vs_CSTATE <= _rtP -> P_13 ) && ( _rtX ->
vs_CSTATE != _rtP -> P_13 ) ) { _rtX -> vs_CSTATE = _rtP -> P_13 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_1_0 =
_rtP -> P_14 * _rtX -> vs_CSTATE ; if ( _rtX -> Wbattstartsat70_CSTATE >=
_rtP -> P_16 ) { if ( _rtX -> Wbattstartsat70_CSTATE != _rtP -> P_16 ) { _rtX
-> Wbattstartsat70_CSTATE = _rtP -> P_16 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( ( _rtX ->
Wbattstartsat70_CSTATE <= _rtP -> P_17 ) && ( _rtX -> Wbattstartsat70_CSTATE
!= _rtP -> P_17 ) ) { _rtX -> Wbattstartsat70_CSTATE = _rtP -> P_17 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } u0 = _rtP -> P_18 *
_rtX -> Wbattstartsat70_CSTATE ; if ( u0 > _rtP -> P_19 ) { _rtB -> B_13_4_0
= _rtP -> P_19 ; } else if ( u0 < _rtP -> P_20 ) { _rtB -> B_13_4_0 = _rtP ->
P_20 ; } else { _rtB -> B_13_4_0 = u0 ; } rtb_B_13_7_0 = ( _rtB -> B_13_22_0
- _rtB -> B_13_4_0 ) * _rtP -> P_21 * _rtP -> P_22 ; if ( _rtX -> Wers_CSTATE
>= _rtP -> P_24 ) { if ( _rtX -> Wers_CSTATE != _rtP -> P_24 ) { _rtX ->
Wers_CSTATE = _rtP -> P_24 ; ssSetBlockStateForSolverChangedAtMajorStep ( S )
; } } else { if ( ( _rtX -> Wers_CSTATE <= _rtP -> P_25 ) && ( _rtX ->
Wers_CSTATE != _rtP -> P_25 ) ) { _rtX -> Wers_CSTATE = _rtP -> P_25 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } rtb_B_13_8_0 = _rtX ->
Wers_CSTATE ; if ( _rtX -> IntegratorLimited_CSTATE >= _rtP -> P_27 ) { if (
_rtX -> IntegratorLimited_CSTATE != _rtP -> P_27 ) { _rtX ->
IntegratorLimited_CSTATE = _rtP -> P_27 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( ( _rtX ->
IntegratorLimited_CSTATE <= _rtP -> P_28 ) && ( _rtX ->
IntegratorLimited_CSTATE != _rtP -> P_28 ) ) { _rtX ->
IntegratorLimited_CSTATE = _rtP -> P_28 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_10_0 =
_rtP -> P_29 * _rtX -> IntegratorLimited_CSTATE ; _rtB -> B_13_11_0 = _rtB ->
B_13_10_0 / _rtB -> B_13_5_0 ; switch ( ( int32_T ) _rtB -> B_13_24_0_b ) {
case 1 : rtb_B_13_8_0 = rtb_B_13_7_0 / _rtB -> B_13_23_0 ; break ; case 2 :
rtb_B_13_8_0 = _rtP -> P_10 * rtb_B_13_8_0 + rtb_B_13_7_0 ; break ; default :
rtb_B_13_8_0 = _rtB -> B_13_11_0 + rtb_B_13_7_0 ; break ; } u0 = 1.0 / _rtB
-> B_13_1_0 * rtb_B_13_8_0 ; if ( u0 > _rtP -> P_30 ) { _rtB -> B_13_17_0 =
_rtP -> P_30 ; } else if ( u0 < _rtP -> P_31 ) { _rtB -> B_13_17_0 = _rtP ->
P_31 ; } else { _rtB -> B_13_17_0 = u0 ; } isHit = ssIsSampleHit ( S , 1 , 0
) ; if ( isHit != 0 ) { ssCallAccelRunBlock ( S , 13 , 18 ,
SS_CALL_MDL_OUTPUTS ) ; ssCallAccelRunBlock ( S , 13 , 19 ,
SS_CALL_MDL_OUTPUTS ) ; } u0 = rtb_B_13_7_0 / _rtB -> B_13_1_0 ; if ( u0 >
_rtP -> P_32 ) { _rtB -> B_13_21_0 = _rtP -> P_32 ; } else if ( u0 < _rtP ->
P_33 ) { _rtB -> B_13_21_0 = _rtP -> P_33 ; } else { _rtB -> B_13_21_0 = u0 ;
} isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) {
ssCallAccelRunBlock ( S , 13 , 22 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 23 , SS_CALL_MDL_OUTPUTS ) ; } _rtB ->
B_13_24_0 = _rtP -> P_34 * _rtB -> B_13_10_0 ; isHit = ssIsSampleHit ( S , 1
, 0 ) ; if ( isHit != 0 ) { ssCallAccelRunBlock ( S , 13 , 25 ,
SS_CALL_MDL_OUTPUTS ) ; } isHit = ssIsSampleHit ( S , 2 , 0 ) ; if ( isHit !=
0 ) { ssCallAccelRunBlock ( S , 13 , 26 , SS_CALL_MDL_OUTPUTS ) ; } if ( _rtX
-> accspeed_CSTATE >= _rtP -> P_36 ) { if ( _rtX -> accspeed_CSTATE != _rtP
-> P_36 ) { _rtX -> accspeed_CSTATE = _rtP -> P_36 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( ( _rtX ->
accspeed_CSTATE <= _rtP -> P_37 ) && ( _rtX -> accspeed_CSTATE != _rtP ->
P_37 ) ) { _rtX -> accspeed_CSTATE = _rtP -> P_37 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_27_0 =
_rtX -> accspeed_CSTATE ; _rtB -> B_13_28_0 [ 0 ] = _rtP -> P_38 * _rtB ->
B_13_26_0 [ 0 ] ; _rtB -> B_13_28_0 [ 1 ] = _rtP -> P_38 * _rtB -> B_13_27_0
; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) { if ( _rtP ->
P_220 == 1 ) { rtb_B_13_29_0 = _rtB -> B_13_26_0_p ; } else { rtb_B_13_29_0 =
_rtB -> B_13_25_0 ; } _rtB -> B_13_30_0 = _rtB -> B_13_26_0 [ 2 ] *
rtb_B_13_29_0 ; } rtb_B_13_32_0 = _rtP -> P_39 * _rtB -> B_13_27_0 ; if (
rtb_B_13_32_0 > _rtP -> P_40 ) { rtb_B_13_32_0 = _rtP -> P_40 ; } else { if (
rtb_B_13_32_0 < _rtP -> P_41 ) { rtb_B_13_32_0 = _rtP -> P_41 ; } }
rtb_B_13_7_0 = ( _rtB -> B_13_26_0 [ 0 ] - _rtB -> B_13_27_0 ) * _rtP -> P_42
; rtb_B_13_35_0 = muDoubleScalarAbs ( _rtB -> B_13_27_0 ) ; if (
ssIsMajorTimeStep ( S ) != 0 ) { _rtDW ->
Stngintegralverkanvidstillastende_Mode = ( ( rtb_B_13_35_0 >= _rtP -> P_43 )
|| ( ( ! ( rtb_B_13_35_0 <= _rtP -> P_44 ) ) && _rtDW ->
Stngintegralverkanvidstillastende_Mode ) ) ; } if ( _rtDW ->
Stngintegralverkanvidstillastende_Mode ) { _rtB -> B_13_36_0 = _rtP -> P_45 ;
} else { _rtB -> B_13_36_0 = _rtP -> P_46 ; } if ( ssIsMajorTimeStep ( S ) !=
0 ) { zcEvent = rt_ZCFcn ( FALLING_ZERO_CROSSING , & _rtZCE ->
Wbatt_Reset_ZCE , _rtB -> B_13_36_0 ) ; if ( zcEvent != NO_ZCEVENT ) { _rtX
-> Wbatt_CSTATE = _rtP -> P_47 ; ssSetBlockStateForSolverChangedAtMajorStep (
S ) ; } } if ( _rtX -> Wbatt_CSTATE >= _rtP -> P_48 ) { if ( _rtX ->
Wbatt_CSTATE != _rtP -> P_48 ) { _rtX -> Wbatt_CSTATE = _rtP -> P_48 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( ( _rtX ->
Wbatt_CSTATE <= _rtP -> P_49 ) && ( _rtX -> Wbatt_CSTATE != _rtP -> P_49 ) )
{ _rtX -> Wbatt_CSTATE = _rtP -> P_49 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } rtb_B_13_8_0 = (
rtb_B_13_7_0 + _rtX -> Wbatt_CSTATE ) * _rtP -> P_50 ; if ( ssIsMajorTimeStep
( S ) != 0 ) { _rtDW -> Relay2_Mode = ( ( rtb_B_13_8_0 >= _rtP -> P_53 ) || (
( ! ( rtb_B_13_8_0 <= _rtP -> P_54 ) ) && _rtDW -> Relay2_Mode ) ) ; } if (
_rtDW -> Relay2_Mode ) { _rtB -> B_13_42_0 = _rtP -> P_55 ; } else { _rtB ->
B_13_42_0 = _rtP -> P_56 ; } if ( _rtB -> B_13_42_0 >= _rtP -> P_57 ) { if (
rtb_B_13_35_0 > _rtP -> P_51 ) { rtb_B_13_35_0 = _rtP -> P_51 ; } else { if (
rtb_B_13_35_0 < _rtP -> P_52 ) { rtb_B_13_35_0 = _rtP -> P_52 ; } }
rtb_B_13_35_0 = muDoubleScalarMin ( rtb_B_13_8_0 , _rtB -> B_13_1_0_m /
rtb_B_13_35_0 ) ; } else { if ( rtb_B_13_35_0 > _rtP -> P_51 ) {
rtb_B_13_35_0 = _rtP -> P_51 ; } else { if ( rtb_B_13_35_0 < _rtP -> P_52 ) {
rtb_B_13_35_0 = _rtP -> P_52 ; } } rtb_B_13_35_0 = muDoubleScalarMax (
rtb_B_13_8_0 , _rtB -> B_13_1_0_m / rtb_B_13_35_0 * _rtP -> P_0 ) ; } u0 =
rtb_B_13_32_0 * rtb_B_13_35_0 ; if ( u0 > _rtP -> P_58 ) { _rtB -> B_13_47_0
= _rtP -> P_58 ; } else if ( u0 < _rtP -> P_59 ) { _rtB -> B_13_47_0 = _rtP
-> P_59 ; } else { _rtB -> B_13_47_0 = u0 ; }
EVwithERSorFC_acc_LookUp_real_T_real_T_SAT ( & ( B_13_48_0 ) , _rtP -> P_61 ,
_rtB -> B_13_47_0 , _rtP -> P_60 , 100U ) ; if ( B_13_48_0 > _rtP -> P_62 ) {
_rtB -> B_13_49_0 = _rtP -> P_62 ; } else if ( B_13_48_0 < _rtP -> P_63 ) {
_rtB -> B_13_49_0 = _rtP -> P_63 ; } else { _rtB -> B_13_49_0 = B_13_48_0 ; }
if ( rtb_B_13_32_0 > _rtP -> P_64 ) { rtb_B_13_32_0 = _rtP -> P_64 ; } else {
if ( rtb_B_13_32_0 < _rtP -> P_65 ) { rtb_B_13_32_0 = _rtP -> P_65 ; } } u0 =
_rtB -> B_13_49_0 / rtb_B_13_32_0 ; if ( u0 > _rtP -> P_66 ) { _rtB ->
B_13_52_0 = _rtP -> P_66 ; } else if ( u0 < _rtP -> P_67 ) { _rtB ->
B_13_52_0 = _rtP -> P_67 ; } else { _rtB -> B_13_52_0 = u0 ; } scalarIndex =
plook_binx ( _rtB -> B_13_52_0 , _rtP -> P_68 , 3U , & scalarFraction ) ; if
( ssIsMajorTimeStep ( S ) != 0 ) { _rtDW -> Relay_Mode = ( ( scalarFraction
>= _rtP -> P_69 ) || ( ( ! ( scalarFraction <= _rtP -> P_70 ) ) && _rtDW ->
Relay_Mode ) ) ; } if ( _rtDW -> Relay_Mode ) { _rtB -> B_13_54_0 = _rtP ->
P_71 ; } else { _rtB -> B_13_54_0 = _rtP -> P_72 ; } _rtB -> B_13_55_0 = (
real_T ) scalarIndex + _rtB -> B_13_54_0 ; isHit = ssIsSampleHit ( S , 1 , 0
) ; if ( isHit != 0 ) { _rtB -> B_13_56_0 = _rtDW -> Memory4_PreviousInput ;
if ( ssIsMajorTimeStep ( S ) != 0 ) { zcEvent = rt_ZCFcn ( ANY_ZERO_CROSSING
, & _rtZCE -> reftime_Trig_ZCE_c , muDoubleScalarAbs ( _rtB -> B_13_56_0 -
_rtDW -> Memory2_PreviousInput ) ) ; if ( zcEvent != NO_ZCEVENT ) { _rtB ->
B_7_0_0 = _rtB -> B_13_55_0 ; _rtDW -> reftime_SubsysRanBC_d = 4 ; } } if (
_rtB -> B_7_0_0 > _rtP -> P_75 ) { rtb_B_13_62_0 = _rtP -> P_75 ; } else if (
_rtB -> B_7_0_0 < _rtP -> P_76 ) { rtb_B_13_62_0 = _rtP -> P_76 ; } else {
rtb_B_13_62_0 = _rtB -> B_7_0_0 ; } scalarFraction = muDoubleScalarFloor (
rtb_B_13_62_0 ) ; if ( ( _rtP -> P_221 != 0 ) && ( ( ! ( scalarFraction >=
0.0 ) ) || ( ! ( scalarFraction <= 3.0 ) ) ) ) { if ( _rtP -> P_221 == 1 ) {
if ( _rtDW -> DirectLookUpTablenD_NumIssuedWarnings == 0U ) { diag =
CreateDiagnosticAsVoidPtr (
"Simulink:blocks:DirectLookupNdBlockIndexOutOfRangeWarnMsg" , 1 , 5 ,
 "EVwithERSorFC/Power flow control/Gear Selection/Gear selection/Direct Look-Up Table (n-D)"
) ; rt_ssReportDiagnosticAsWarning ( S , diag ) ; } if ( _rtDW ->
DirectLookUpTablenD_NumIssuedWarnings < MAX_uint32_T ) { _rtDW ->
DirectLookUpTablenD_NumIssuedWarnings ++ ; } } else { diag =
CreateDiagnosticAsVoidPtr (
"Simulink:blocks:DirectLookupNdBlockIndexOutOfRangeErrorMsg" , 1 , 5 ,
 "EVwithERSorFC/Power flow control/Gear Selection/Gear selection/Direct Look-Up Table (n-D)"
) ; rt_ssSet_slErrMsg ( S , diag ) ; } } if ( muDoubleScalarIsNaN (
rtb_B_13_62_0 ) ) { u0 = 0.0 ; } else { u0 = rtb_B_13_62_0 ; } if ( u0 > 3.0
) { u0 = 3.0 ; } else { if ( u0 < 0.0 ) { u0 = 0.0 ; } } _rtB -> B_13_63_0 =
_rtP -> P_77 [ ( int32_T ) u0 ] ; } { real_T * * uBuffer = ( real_T * * ) &
_rtDW -> TransportDelay2_PWORK . TUbufferPtrs [ 0 ] ; real_T * * tBuffer = (
real_T * * ) & _rtDW -> TransportDelay2_PWORK . TUbufferPtrs [ 1 ] ; real_T
simTime = ssGetT ( S ) ; real_T tMinusDelay = simTime - _rtP -> P_78 ;
B_13_64_0 = EVwithERSorFC_acc_rt_TDelayInterpolate ( tMinusDelay , 0.0 , *
tBuffer , * uBuffer , _rtDW -> TransportDelay2_IWORK . CircularBufSize , &
_rtDW -> TransportDelay2_IWORK . Last , _rtDW -> TransportDelay2_IWORK . Tail
, _rtDW -> TransportDelay2_IWORK . Head , _rtP -> P_79 , 1 , ( boolean_T ) (
ssIsMinorTimeStep ( S ) && ( ssGetTimeOfLastOutput ( S ) == ssGetT ( S ) ) )
) ; } if ( _rtB -> B_13_8_0 >= _rtP -> P_80 ) { u0 = _rtB -> B_13_63_0 ; }
else { u0 = B_13_64_0 ; } if ( u0 > _rtP -> P_81 ) { _rtB -> B_13_66_0 = _rtP
-> P_81 ; } else if ( u0 < _rtP -> P_82 ) { _rtB -> B_13_66_0 = _rtP -> P_82
; } else { _rtB -> B_13_66_0 = u0 ; } _rtB -> B_13_67_0 = _rtB -> B_13_66_0 *
rtb_B_13_32_0 ; if ( _rtB -> B_13_67_0 > _rtP -> P_83 ) { rtb_B_13_32_0 =
_rtP -> P_83 ; } else if ( _rtB -> B_13_67_0 < _rtP -> P_84 ) { rtb_B_13_32_0
= _rtP -> P_84 ; } else { rtb_B_13_32_0 = _rtB -> B_13_67_0 ; }
scalarFraction = _rtB -> B_13_4_0_c + muDoubleScalarAbs ( rtb_B_13_32_0 ) ;
if ( ssIsMajorTimeStep ( S ) != 0 ) { _rtDW -> SOC_tract_min_Mode = ( ( _rtB
-> B_13_4_0 >= _rtP -> P_87 ) || ( ( ! ( _rtB -> B_13_4_0 <= _rtP -> P_88 ) )
&& _rtDW -> SOC_tract_min_Mode ) ) ; } if ( _rtDW -> SOC_tract_min_Mode ) {
_rtB -> B_13_72_0 = _rtP -> P_89 ; } else { _rtB -> B_13_72_0 = _rtP -> P_90
; } rtb_B_13_73_0 = rt_Lookup ( _rtP -> P_85 , 21 , _rtB -> B_13_67_0 , _rtP
-> P_86 ) * _rtB -> B_13_72_0 ; EVwithERSorFC_acc_LookUp_real_T_real_T_SAT (
& ( B_13_74_0 ) , _rtP -> P_92 , _rtB -> B_13_47_0 , _rtP -> P_91 , 100U ) ;
if ( B_13_74_0 > _rtP -> P_93 ) { _rtB -> B_13_75_0 = _rtP -> P_93 ; } else
if ( B_13_74_0 < _rtP -> P_94 ) { _rtB -> B_13_75_0 = _rtP -> P_94 ; } else {
_rtB -> B_13_75_0 = B_13_74_0 ; } _rtB -> B_13_76_0 = _rtB -> B_13_75_0 *
_rtB -> B_13_49_0 / _rtB -> B_13_67_0 ; if ( ssIsMajorTimeStep ( S ) != 0 ) {
_rtDW -> SOC_tract_max_Mode = ( ( _rtB -> B_13_4_0 >= _rtP -> P_97 ) || ( ( !
( _rtB -> B_13_4_0 <= _rtP -> P_98 ) ) && _rtDW -> SOC_tract_max_Mode ) ) ; }
if ( _rtDW -> SOC_tract_max_Mode ) { _rtB -> B_13_79_0 = _rtP -> P_99 ; }
else { _rtB -> B_13_79_0 = _rtP -> P_100 ; } rtb_B_13_80_0 = rt_Lookup ( _rtP
-> P_95 , 21 , _rtB -> B_13_67_0 , _rtP -> P_96 ) * _rtB -> B_13_79_0 ; if (
_rtB -> B_13_76_0 < rtb_B_13_80_0 ) { _rtB -> B_13_82_0 = rtb_B_13_80_0 ; }
else { _rtB -> B_13_82_0 = _rtB -> B_13_76_0 ; } if ( _rtB -> B_13_76_0 >
rtb_B_13_73_0 ) { _rtB -> B_13_83_0 = rtb_B_13_73_0 ; } else { _rtB ->
B_13_83_0 = _rtB -> B_13_82_0 ; } if ( _rtB -> B_13_83_0 > _rtP -> P_101 ) {
u0 = _rtP -> P_101 ; } else if ( _rtB -> B_13_83_0 < _rtP -> P_102 ) { u0 =
_rtP -> P_102 ; } else { u0 = _rtB -> B_13_83_0 ; } u0 *= scalarFraction ; if
( u0 > _rtP -> P_103 ) { u0 = _rtP -> P_103 ; } else { if ( u0 < _rtP ->
P_104 ) { u0 = _rtP -> P_104 ; } } u0 *= 1.0 / scalarFraction ; if ( u0 >
_rtP -> P_105 ) { _rtB -> B_13_88_0 = _rtP -> P_105 ; } else if ( u0 < _rtP
-> P_106 ) { _rtB -> B_13_88_0 = _rtP -> P_106 ; } else { _rtB -> B_13_88_0 =
u0 ; } _rtB -> B_13_90_0 = _rtB -> B_13_66_0 * _rtB -> B_13_88_0 * _rtP ->
P_107 ; _rtB -> B_13_92_0 = _rtB -> B_13_90_0 * _rtB -> B_13_27_0 * _rtP ->
P_108 ; if ( _rtB -> B_13_27_0 > _rtP -> P_110 ) { u0 = _rtP -> P_110 ; }
else if ( _rtB -> B_13_27_0 < _rtP -> P_111 ) { u0 = _rtP -> P_111 ; } else {
u0 = _rtB -> B_13_27_0 ; } _rtB -> B_13_99_0 = ( muDoubleScalarAbs ( _rtB ->
B_13_27_0 ) * _rtB -> B_13_27_0 * _rtB -> B_13_15_0 * _rtB -> B_13_18_0 *
_rtB -> B_13_20_0 * _rtP -> P_109 + u0 * _rtB -> B_13_21_0_c ) * _rtP ->
P_112 ; _rtB -> B_13_101_0 = _rtB -> B_13_99_0 * _rtB -> B_13_27_0 * _rtP ->
P_113 ; u0 = rtb_B_13_35_0 - _rtB -> B_13_88_0 * _rtB -> B_13_66_0 ; if ( u0
> _rtP -> P_114 ) { u0 = _rtP -> P_114 ; } else { if ( u0 < _rtP -> P_115 ) {
u0 = _rtP -> P_115 ; } } _rtB -> B_13_105_0 = _rtP -> P_116 * u0 ; _rtB ->
B_13_107_0 = _rtB -> B_13_27_0 * _rtB -> B_13_105_0 * _rtP -> P_117 ; isHit =
ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) { ssCallAccelRunBlock ( S ,
13 , 108 , SS_CALL_MDL_OUTPUTS ) ; } _rtB -> B_13_111_0 = _rtP -> P_121 *
rt_Lookup2D_Normal ( _rtP -> P_118 , 41 , _rtP -> P_119 , 21 , _rtP -> P_120
, _rtB -> B_13_88_0 , rtb_B_13_32_0 ) * _rtP -> P_122 ; if (
muDoubleScalarSign ( _rtB -> B_13_88_0 ) >= _rtP -> P_123 ) { scalarFraction
= _rtB -> B_13_111_0 ; } else { scalarFraction = 1.0 / _rtB -> B_13_111_0 ; }
rtb_B_13_73_0 = _rtB -> B_13_88_0 * rtb_B_13_32_0 / scalarFraction ;
scalarFraction = _rtX -> Wbatt_CSTATE_h ; switch ( ( int32_T ) _rtB ->
B_13_14_0 ) { case 1 : rtb_B_13_80_0 = _rtB -> B_13_11_0_k ; break ; case 2 :
rtb_B_13_80_0 = _rtB -> B_13_11_0_k ; break ; default : if ( _rtX ->
Wbatt_CSTATE_h > _rtP -> P_1 ) { rtb_B_13_80_0 = _rtP -> P_1 ; } else if (
_rtX -> Wbatt_CSTATE_h < _rtP -> P_2 ) { rtb_B_13_80_0 = _rtP -> P_2 ; } else
{ rtb_B_13_80_0 = _rtX -> Wbatt_CSTATE_h ; } break ; } if ( rtb_B_13_80_0 >
_rtP -> P_125 ) { _rtB -> B_13_119_0 = _rtP -> P_125 ; } else if (
rtb_B_13_80_0 < _rtP -> P_126 ) { _rtB -> B_13_119_0 = _rtP -> P_126 ; } else
{ _rtB -> B_13_119_0 = rtb_B_13_80_0 ; } switch ( ( int32_T ) _rtB ->
B_13_14_0 ) { case 1 : rtb_B_13_80_0 = _rtB -> B_13_11_0_k ; break ; case 2 :
if ( _rtX -> Wbatt_CSTATE_h > _rtP -> P_3 ) { rtb_B_13_80_0 = _rtP -> P_3 ; }
else if ( _rtX -> Wbatt_CSTATE_h < _rtP -> P_4 ) { rtb_B_13_80_0 = _rtP ->
P_4 ; } else { rtb_B_13_80_0 = _rtX -> Wbatt_CSTATE_h ; } break ; default :
rtb_B_13_80_0 = _rtB -> B_13_11_0_k ; break ; } u0 = ( ( ( rtb_B_13_73_0 +
_rtB -> B_13_0_0 ) - _rtB -> B_13_119_0 ) - rtb_B_13_80_0 ) * _rtP -> P_127 ;
if ( u0 > _rtP -> P_128 ) { _rtB -> B_13_124_0 = _rtP -> P_128 ; } else if (
u0 < _rtP -> P_129 ) { _rtB -> B_13_124_0 = _rtP -> P_129 ; } else { _rtB ->
B_13_124_0 = u0 ; } isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) {
ssCallAccelRunBlock ( S , 13 , 125 , SS_CALL_MDL_OUTPUTS ) ; } _rtB ->
B_13_126_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit
!= 0 ) { _rtB -> B_13_127_0 [ 0 ] = _rtB -> B_13_126_0 ; _rtB -> B_13_127_0 [
1 ] = _rtB -> B_13_28_0 [ 0 ] ; _rtB -> B_13_127_0 [ 2 ] = _rtB -> B_13_28_0
[ 1 ] ; ssCallAccelRunBlock ( S , 13 , 128 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 129 , SS_CALL_MDL_OUTPUTS ) ; } _rtB ->
B_13_130_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 3 , 0 ) ; if ( isHit
!= 0 ) { _rtB -> B_13_131_0 [ 0 ] = _rtB -> B_13_130_0 ; _rtB -> B_13_131_0 [
1 ] = _rtB -> B_13_4_0 ; ssCallAccelRunBlock ( S , 13 , 132 ,
SS_CALL_MDL_OUTPUTS ) ; } if ( _rtB -> B_13_124_0 > _rtP -> P_130 ) { u0 =
_rtP -> P_130 ; } else if ( _rtB -> B_13_124_0 < _rtP -> P_131 ) { u0 = _rtP
-> P_131 ; } else { u0 = _rtB -> B_13_124_0 ; } _rtB -> B_13_135_0 = _rtB ->
B_13_124_0 * rt_Lookup ( _rtP -> P_132 , 22 , u0 , _rtP -> P_133 ) ;
rtb_B_13_8_0 = muDoubleScalarAbs ( rtb_B_13_8_0 - rtb_B_13_35_0 ) ; if (
ssIsMajorTimeStep ( S ) != 0 ) { _rtDW -> Relay1_Mode = ( ( rtb_B_13_8_0 >=
_rtP -> P_135 ) || ( ( ! ( rtb_B_13_8_0 <= _rtP -> P_136 ) ) && _rtDW ->
Relay1_Mode ) ) ; } if ( _rtDW -> Relay1_Mode ) { _rtB -> B_13_139_0 = _rtP
-> P_137 ; } else { _rtB -> B_13_139_0 = _rtP -> P_138 ; } _rtB -> B_13_140_0
= _rtP -> P_134 * rtb_B_13_7_0 * _rtB -> B_13_139_0 * _rtB -> B_13_36_0 ;
_rtB -> B_13_141_0 = rtb_B_13_80_0 / _rtB -> B_13_2_0 ; _rtB -> B_13_142_0 =
_rtP -> P_139 * _rtB -> B_13_67_0 ; rtb_B_13_7_0 = _rtX -> Integral_CSTATE ;
if ( _rtX -> Integral1_CSTATE >= _rtP -> P_142 ) { if ( _rtX ->
Integral1_CSTATE != _rtP -> P_142 ) { _rtX -> Integral1_CSTATE = _rtP ->
P_142 ; ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( (
_rtX -> Integral1_CSTATE <= _rtP -> P_143 ) && ( _rtX -> Integral1_CSTATE !=
_rtP -> P_143 ) ) { _rtX -> Integral1_CSTATE = _rtP -> P_143 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_145_0 =
rtb_B_13_7_0 / _rtX -> Integral1_CSTATE ; _rtB -> B_13_146_0 = _rtB ->
B_13_88_0 * rtb_B_13_32_0 ; rtb_B_13_7_0 = _rtX -> Integral_CSTATE_f ; if (
_rtX -> time_CSTATE >= _rtP -> P_146 ) { if ( _rtX -> time_CSTATE != _rtP ->
P_146 ) { _rtX -> time_CSTATE = _rtP -> P_146 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } else { if ( ( _rtX ->
time_CSTATE <= _rtP -> P_147 ) && ( _rtX -> time_CSTATE != _rtP -> P_147 ) )
{ _rtX -> time_CSTATE = _rtP -> P_147 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_149_0 =
rtb_B_13_7_0 / _rtX -> time_CSTATE ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if
( isHit != 0 ) { ssCallAccelRunBlock ( S , 13 , 150 , SS_CALL_MDL_OUTPUTS ) ;
} _rtB -> B_13_151_0 = ssGetT ( S ) ; _rtB -> B_13_152_0 = _rtP -> P_148 *
_rtB -> B_13_67_0 ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) {
_rtB -> B_13_127_0 [ 0 ] = _rtB -> B_13_151_0 ; _rtB -> B_13_127_0 [ 1 ] =
_rtB -> B_13_152_0 ; _rtB -> B_13_127_0 [ 2 ] = _rtB -> B_13_88_0 ;
ssCallAccelRunBlock ( S , 13 , 154 , SS_CALL_MDL_OUTPUTS ) ; } _rtB ->
B_13_155_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit
!= 0 ) { _rtB -> B_13_156_0 [ 0 ] = _rtB -> B_13_155_0 ; _rtB -> B_13_156_0 [
1 ] = _rtB -> B_13_149_0 ; ssCallAccelRunBlock ( S , 13 , 157 ,
SS_CALL_MDL_OUTPUTS ) ; } if ( ssIsMajorTimeStep ( S ) != 0 ) { _rtDW ->
Relay_Mode_f = ( ( _rtB -> B_13_111_0 >= _rtP -> P_149 ) || ( ( ! ( _rtB ->
B_13_111_0 <= _rtP -> P_150 ) ) && _rtDW -> Relay_Mode_f ) ) ; } if ( _rtDW
-> Relay_Mode_f ) { _rtB -> B_13_158_0 = _rtP -> P_151 ; } else { _rtB ->
B_13_158_0 = _rtP -> P_152 ; } _rtB -> B_13_159_0 = _rtB -> B_13_111_0 * _rtB
-> B_13_158_0 ; _rtB -> B_13_160_0 = muDoubleScalarAbs ( rtb_B_13_73_0 ) ;
rtb_B_13_7_0 = _rtX -> INTeffdt_CSTATE ; if ( _rtX -> time_CSTATE_b >= _rtP
-> P_155 ) { if ( _rtX -> time_CSTATE_b != _rtP -> P_155 ) { _rtX ->
time_CSTATE_b = _rtP -> P_155 ; ssSetBlockStateForSolverChangedAtMajorStep (
S ) ; } } else { if ( ( _rtX -> time_CSTATE_b <= _rtP -> P_156 ) && ( _rtX ->
time_CSTATE_b != _rtP -> P_156 ) ) { _rtX -> time_CSTATE_b = _rtP -> P_156 ;
ssSetBlockStateForSolverChangedAtMajorStep ( S ) ; } } _rtB -> B_13_163_0 =
rtb_B_13_7_0 / _rtX -> time_CSTATE_b ; isHit = ssIsSampleHit ( S , 1 , 0 ) ;
if ( isHit != 0 ) { ssCallAccelRunBlock ( S , 13 , 164 , SS_CALL_MDL_OUTPUTS
) ; } rtb_B_13_7_0 = look1_binlxpw ( _rtB -> B_13_119_0 , _rtP -> P_158 ,
_rtP -> P_157 , 20U ) ; if ( ssIsMajorTimeStep ( S ) != 0 ) { _rtDW ->
Relay_Mode_m = ( ( rtb_B_13_7_0 >= _rtP -> P_159 ) || ( ( ! ( rtb_B_13_7_0 <=
_rtP -> P_160 ) ) && _rtDW -> Relay_Mode_m ) ) ; } if ( _rtDW -> Relay_Mode_m
) { _rtB -> B_13_166_0 = _rtP -> P_161 ; } else { _rtB -> B_13_166_0 = _rtP
-> P_162 ; } _rtB -> B_13_167_0 = rtb_B_13_7_0 * _rtB -> B_13_166_0 ; _rtB ->
B_13_168_0 = 1.0 / rtb_B_13_7_0 * _rtB -> B_13_119_0 ; isHit = ssIsSampleHit
( S , 1 , 0 ) ; if ( isHit != 0 ) { _rtB -> B_13_169_0 = _rtB -> B_13_26_0 [
3 ] * rtb_B_13_29_0 ; _rtB -> B_13_172_0 = _rtB -> B_13_6_0 *
muDoubleScalarSin ( _rtB -> B_13_169_0 ) * _rtP -> P_163 ;
ssCallAccelRunBlock ( S , 13 , 173 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 174 , SS_CALL_MDL_OUTPUTS ) ; } _rtB ->
B_13_175_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit
!= 0 ) { _rtB -> B_13_176_0 [ 0 ] = _rtB -> B_13_175_0 ; _rtB -> B_13_176_0 [
1 ] = _rtB -> B_13_30_0 ; ssCallAccelRunBlock ( S , 13 , 177 ,
SS_CALL_MDL_OUTPUTS ) ; } _rtB -> B_13_180_0 = ( ( ( _rtB -> B_13_90_0 + _rtB
-> B_13_105_0 ) + _rtB -> B_13_99_0 ) + _rtB -> B_13_172_0 ) / _rtB ->
B_13_6_0 ; _rtB -> B_13_181_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 1
, 0 ) ; if ( isHit != 0 ) { _rtB -> B_13_182_0 = _rtB -> B_13_7_0 -
rtb_B_13_62_0 ; } { real_T * * uBuffer = ( real_T * * ) & _rtDW ->
TransportDelay1_PWORK . TUbufferPtrs [ 0 ] ; real_T * * tBuffer = ( real_T *
* ) & _rtDW -> TransportDelay1_PWORK . TUbufferPtrs [ 1 ] ; real_T simTime =
ssGetT ( S ) ; real_T tMinusDelay = simTime - _rtP -> P_164 ; B_13_183_0 =
EVwithERSorFC_acc_rt_TDelayInterpolate ( tMinusDelay , 0.0 , * tBuffer , *
uBuffer , _rtDW -> TransportDelay1_IWORK . CircularBufSize , & _rtDW ->
TransportDelay1_IWORK . Last , _rtDW -> TransportDelay1_IWORK . Tail , _rtDW
-> TransportDelay1_IWORK . Head , _rtP -> P_165 , 1 , ( boolean_T ) (
ssIsMinorTimeStep ( S ) && ( ssGetTimeOfLastOutput ( S ) == ssGetT ( S ) ) )
) ; } if ( _rtB -> B_13_8_0 >= _rtP -> P_166 ) { _rtB -> B_13_184_0 = _rtB ->
B_13_182_0 ; } else { _rtB -> B_13_184_0 = B_13_183_0 ; } isHit =
ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) { _rtB -> B_13_185_0 [ 0 ] =
_rtB -> B_13_181_0 ; _rtB -> B_13_185_0 [ 1 ] = _rtB -> B_13_184_0 ;
ssCallAccelRunBlock ( S , 13 , 186 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 187 , SS_CALL_MDL_OUTPUTS ) ; if (
ssIsMajorTimeStep ( S ) != 0 ) { zcEvent = rt_ZCFcn ( ANY_ZERO_CROSSING , &
_rtZCE -> Subsystem2_Trig_ZCE , muDoubleScalarAbs ( _rtB -> B_7_0_0 - _rtDW
-> Memory1_PreviousInput ) ) ; if ( zcEvent != NO_ZCEVENT ) { _rtB -> B_8_1_0
= _rtB -> B_8_0_0 + _rtDW -> Memory_PreviousInput ; _rtDW ->
Memory_PreviousInput = _rtB -> B_8_1_0 ; _rtDW -> Subsystem2_SubsysRanBC = 4
; } } ssCallAccelRunBlock ( S , 13 , 193 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 194 , SS_CALL_MDL_OUTPUTS ) ; _rtB ->
B_13_195_0 = ( _rtDW -> clockTickCounter < _rtP -> P_170 ) && ( _rtDW ->
clockTickCounter >= 0 ) ? _rtP -> P_168 : 0.0 ; if ( _rtDW ->
clockTickCounter >= _rtP -> P_169 - 1.0 ) { _rtDW -> clockTickCounter = 0 ; }
else { _rtDW -> clockTickCounter ++ ; } ssCallAccelRunBlock ( S , 13 , 196 ,
SS_CALL_MDL_OUTPUTS ) ; } if ( ssIsMajorTimeStep ( S ) != 0 ) { _rtDW ->
wyy_Mode = ( ( _rtB -> B_13_67_0 >= _rtP -> P_172 ) || ( ( ! ( _rtB ->
B_13_67_0 <= _rtP -> P_173 ) ) && _rtDW -> wyy_Mode ) ) ; _rtDW -> wxx_Mode =
( ( _rtB -> B_13_67_0 >= _rtP -> P_176 ) || ( ( ! ( _rtB -> B_13_67_0 <= _rtP
-> P_177 ) ) && _rtDW -> wxx_Mode ) ) ; } isHit = ssIsSampleHit ( S , 1 , 0 )
; if ( isHit != 0 ) { if ( _rtDW -> wyy_Mode ) { u0 = _rtP -> P_174 ; } else
{ u0 = _rtP -> P_175 ; } if ( _rtDW -> wxx_Mode ) { rtb_B_13_7_0 = _rtP ->
P_178 ; } else { rtb_B_13_7_0 = _rtP -> P_179 ; } _rtB -> B_13_199_0 = ( _rtB
-> B_13_195_0 + u0 ) + rtb_B_13_7_0 ; rtb_B_13_200_0 = _rtDW ->
Memory3_PreviousInput ; if ( _rtDW -> Memory3_PreviousInput >= _rtP -> P_182
) { _rtB -> B_13_202_0 = _rtB -> B_13_182_0 ; } else { _rtB -> B_13_202_0 =
_rtDW -> Memory2_PreviousInput_c ; } rtb_B_13_205_0 = muDoubleScalarAbs (
_rtB -> B_13_202_0 - _rtDW -> Memory1_PreviousInput_h ) ; } _rtB ->
B_13_206_0 = ssGetT ( S ) ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( (
isHit != 0 ) && ( ssIsMajorTimeStep ( S ) != 0 ) ) { zcEvent = rt_ZCFcn (
RISING_ZERO_CROSSING , & _rtZCE -> reftime_Trig_ZCE , rtb_B_13_205_0 ) ; if (
zcEvent != NO_ZCEVENT ) { _rtB -> B_9_0_0 = _rtB -> B_13_206_0 ; _rtDW ->
reftime_SubsysRanBC = 4 ; } } B_13_209_0 = _rtB -> B_13_206_0 - _rtB ->
B_9_0_0 ; EVwithERSorFC_acc_LookUp_real_T_real_T_SAT ( & ( _rtB -> B_13_210_0
) , _rtP -> P_185 , B_13_209_0 , _rtP -> P_184 , 3U ) ; isHit = ssIsSampleHit
( S , 1 , 0 ) ; if ( isHit != 0 ) { if ( rtb_B_13_200_0 >= _rtP -> P_187 ) {
_rtB -> B_13_212_0 = _rtB -> B_13_63_0 ; } else { _rtB -> B_13_212_0 = _rtDW
-> Memory4_PreviousInput_f ; } } if ( _rtB -> B_13_8_0 >= _rtP -> P_188 ) {
B_13_213_0 = _rtB -> B_13_9_0 ; } else { B_13_213_0 = _rtB -> B_13_210_0 ; }
if ( _rtB -> B_13_8_0 >= _rtP -> P_189 ) { B_13_215_0 = _rtB -> B_13_9_0 ; }
else { EVwithERSorFC_acc_LookUp_real_T_real_T_SAT ( & ( B_6_0_0 ) , _rtP ->
P_7 , B_13_209_0 , _rtP -> P_6 , 5U ) ; B_13_215_0 = B_6_0_0 ; } isHit =
ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) { ssCallAccelRunBlock ( S ,
13 , 216 , SS_CALL_MDL_OUTPUTS ) ; } isHit = ssIsSampleHit ( S , 2 , 0 ) ; if
( isHit != 0 ) { switch ( ( int32_T ) _rtB -> B_13_14_0 ) { case 1 : _rtB ->
B_13_220_0 = _rtB -> B_13_12_0 ; break ; case 2 : if ( _rtB -> B_13_26_0 [ 4
] > _rtP -> P_5 ) { _rtB -> B_13_220_0 = _rtB -> B_13_12_0 ; } else { _rtB ->
B_13_220_0 = _rtB -> B_13_13_0 ; } break ; default : _rtB -> B_13_220_0 =
_rtB -> B_13_13_0 ; break ; } } rtb_B_13_200_0 = _rtB -> B_13_220_0 - _rtB ->
B_13_4_0 ; _rtB -> B_13_226_0 = ( rt_Lookup ( _rtP -> P_190 , 31 ,
rtb_B_13_200_0 , _rtP -> P_191 ) * muDoubleScalarAbs ( rtb_B_13_200_0 ) -
scalarFraction ) * _rtP -> P_192 ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if (
isHit != 0 ) { ssCallAccelRunBlock ( S , 13 , 227 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 228 , SS_CALL_MDL_OUTPUTS ) ;
ssCallAccelRunBlock ( S , 13 , 229 , SS_CALL_MDL_OUTPUTS ) ; } isHit =
ssIsSampleHit ( S , 2 , 0 ) ; if ( isHit != 0 ) { _rtB -> B_13_230_0 = _rtP
-> P_193 * _rtB -> B_13_26_0 [ 0 ] ; _rtB -> B_13_231_0 = _rtP -> P_194 *
_rtB -> B_13_26_0 [ 1 ] ; } isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit
!= 0 ) { ssCallAccelRunBlock ( S , 13 , 232 , SS_CALL_MDL_OUTPUTS ) ; }
UNUSED_PARAMETER ( tid ) ; } static void mdlOutputsTID4 ( SimStruct * S ,
int_T tid ) { B_EVwithERSorFC_T * _rtB ; P_EVwithERSorFC_T * _rtP ; _rtP = (
( P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) ; _rtB = ( ( B_EVwithERSorFC_T
* ) _ssGetModelBlockIO ( S ) ) ; _rtB -> B_13_0_0 = _rtP -> P_195 ; _rtB ->
B_13_1_0_m = _rtP -> P_196 ; _rtB -> B_13_2_0 = _rtP -> P_197 ; _rtB ->
B_13_3_0 = _rtP -> P_198 ; _rtB -> B_13_4_0_c = _rtP -> P_199 ; _rtB ->
B_13_5_0 = _rtP -> P_200 ; _rtB -> B_13_6_0 = _rtP -> P_201 ; _rtB ->
B_13_7_0 = _rtP -> P_202 ; _rtB -> B_13_8_0 = _rtP -> P_203 ; _rtB ->
B_13_9_0 = _rtP -> P_204 ; _rtB -> B_8_0_0 = _rtP -> P_9 ; _rtB ->
B_13_11_0_k = _rtP -> P_205 ; _rtB -> B_13_12_0 = _rtP -> P_206 ; _rtB ->
B_13_13_0 = _rtP -> P_207 ; _rtB -> B_13_14_0 = _rtP -> P_208 ; _rtB ->
B_13_15_0 = _rtP -> P_209 ; _rtB -> B_13_18_0 = _rtP -> P_212 ; _rtB ->
B_13_20_0 = _rtP -> P_214 ; _rtB -> B_13_21_0_c = _rtP -> P_213 * _rtP ->
P_211 * _rtP -> P_210 ; _rtB -> B_13_22_0 = _rtP -> P_215 ; _rtB -> B_13_23_0
= _rtP -> P_216 ; _rtB -> B_13_24_0_b = _rtP -> P_217 ; _rtB -> B_13_25_0 =
_rtP -> P_218 ; _rtB -> B_13_26_0_p = _rtP -> P_219 ; UNUSED_PARAMETER ( tid
) ; }
#define MDL_UPDATE
static void mdlUpdate ( SimStruct * S , int_T tid ) { int32_T isHit ;
B_EVwithERSorFC_T * _rtB ; P_EVwithERSorFC_T * _rtP ; DW_EVwithERSorFC_T *
_rtDW ; _rtDW = ( ( DW_EVwithERSorFC_T * ) ssGetRootDWork ( S ) ) ; _rtP = (
( P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) ; _rtB = ( ( B_EVwithERSorFC_T
* ) _ssGetModelBlockIO ( S ) ) ; isHit = ssIsSampleHit ( S , 1 , 0 ) ; if (
isHit != 0 ) { _rtDW -> Memory4_PreviousInput = _rtB -> B_13_199_0 ; _rtDW ->
Memory2_PreviousInput = _rtB -> B_13_56_0 ; } { real_T * * uBuffer = ( real_T
* * ) & _rtDW -> TransportDelay2_PWORK . TUbufferPtrs [ 0 ] ; real_T * *
tBuffer = ( real_T * * ) & _rtDW -> TransportDelay2_PWORK . TUbufferPtrs [ 1
] ; real_T simTime = ssGetT ( S ) ; _rtDW -> TransportDelay2_IWORK . Head = (
( _rtDW -> TransportDelay2_IWORK . Head < ( _rtDW -> TransportDelay2_IWORK .
CircularBufSize - 1 ) ) ? ( _rtDW -> TransportDelay2_IWORK . Head + 1 ) : 0 )
; if ( _rtDW -> TransportDelay2_IWORK . Head == _rtDW ->
TransportDelay2_IWORK . Tail ) { if ( !
EVwithERSorFC_acc_rt_TDelayUpdateTailOrGrowBuf ( & _rtDW ->
TransportDelay2_IWORK . CircularBufSize , & _rtDW -> TransportDelay2_IWORK .
Tail , & _rtDW -> TransportDelay2_IWORK . Head , & _rtDW ->
TransportDelay2_IWORK . Last , simTime - _rtP -> P_78 , tBuffer , uBuffer , (
NULL ) , ( boolean_T ) 0 , false , & _rtDW -> TransportDelay2_IWORK .
MaxNewBufSize ) ) { ssSetErrorStatus ( S , "tdelay memory allocation error" )
; return ; } } ( * tBuffer ) [ _rtDW -> TransportDelay2_IWORK . Head ] =
simTime ; ( * uBuffer ) [ _rtDW -> TransportDelay2_IWORK . Head ] = _rtB ->
B_13_212_0 ; } { real_T * * uBuffer = ( real_T * * ) & _rtDW ->
TransportDelay1_PWORK . TUbufferPtrs [ 0 ] ; real_T * * tBuffer = ( real_T *
* ) & _rtDW -> TransportDelay1_PWORK . TUbufferPtrs [ 1 ] ; real_T simTime =
ssGetT ( S ) ; _rtDW -> TransportDelay1_IWORK . Head = ( ( _rtDW ->
TransportDelay1_IWORK . Head < ( _rtDW -> TransportDelay1_IWORK .
CircularBufSize - 1 ) ) ? ( _rtDW -> TransportDelay1_IWORK . Head + 1 ) : 0 )
; if ( _rtDW -> TransportDelay1_IWORK . Head == _rtDW ->
TransportDelay1_IWORK . Tail ) { if ( !
EVwithERSorFC_acc_rt_TDelayUpdateTailOrGrowBuf ( & _rtDW ->
TransportDelay1_IWORK . CircularBufSize , & _rtDW -> TransportDelay1_IWORK .
Tail , & _rtDW -> TransportDelay1_IWORK . Head , & _rtDW ->
TransportDelay1_IWORK . Last , simTime - _rtP -> P_164 , tBuffer , uBuffer ,
( NULL ) , ( boolean_T ) 0 , false , & _rtDW -> TransportDelay1_IWORK .
MaxNewBufSize ) ) { ssSetErrorStatus ( S , "tdelay memory allocation error" )
; return ; } } ( * tBuffer ) [ _rtDW -> TransportDelay1_IWORK . Head ] =
simTime ; ( * uBuffer ) [ _rtDW -> TransportDelay1_IWORK . Head ] = _rtB ->
B_13_202_0 ; } isHit = ssIsSampleHit ( S , 1 , 0 ) ; if ( isHit != 0 ) {
_rtDW -> Memory1_PreviousInput = _rtB -> B_7_0_0 ; _rtDW ->
Memory3_PreviousInput = _rtB -> B_13_210_0 ; _rtDW -> Memory2_PreviousInput_c
= _rtB -> B_13_202_0 ; _rtDW -> Memory1_PreviousInput_h = _rtB -> B_13_202_0
; _rtDW -> Memory4_PreviousInput_f = _rtB -> B_13_212_0 ; } UNUSED_PARAMETER
( tid ) ; }
#define MDL_UPDATE
static void mdlUpdateTID4 ( SimStruct * S , int_T tid ) { UNUSED_PARAMETER (
tid ) ; }
#define MDL_DERIVATIVES
static void mdlDerivatives ( SimStruct * S ) { boolean_T lsat ; boolean_T
usat ; B_EVwithERSorFC_T * _rtB ; P_EVwithERSorFC_T * _rtP ;
X_EVwithERSorFC_T * _rtX ; XDot_EVwithERSorFC_T * _rtXdot ; _rtXdot = ( (
XDot_EVwithERSorFC_T * ) ssGetdX ( S ) ) ; _rtX = ( ( X_EVwithERSorFC_T * )
ssGetContStates ( S ) ) ; _rtP = ( ( P_EVwithERSorFC_T * ) ssGetModelRtp ( S
) ) ; _rtB = ( ( B_EVwithERSorFC_T * ) _ssGetModelBlockIO ( S ) ) ; lsat = (
_rtX -> vs_CSTATE <= _rtP -> P_13 ) ; usat = ( _rtX -> vs_CSTATE >= _rtP ->
P_12 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat && ( _rtB -> B_13_27_0 >
0.0 ) ) || ( usat && ( _rtB -> B_13_27_0 < 0.0 ) ) ) { _rtXdot -> vs_CSTATE =
_rtB -> B_13_27_0 ; } else { _rtXdot -> vs_CSTATE = 0.0 ; } lsat = ( _rtX ->
Wbattstartsat70_CSTATE <= _rtP -> P_17 ) ; usat = ( _rtX ->
Wbattstartsat70_CSTATE >= _rtP -> P_16 ) ; if ( ( ( ! lsat ) && ( ! usat ) )
|| ( lsat && ( _rtB -> B_13_135_0 > 0.0 ) ) || ( usat && ( _rtB -> B_13_135_0
< 0.0 ) ) ) { _rtXdot -> Wbattstartsat70_CSTATE = _rtB -> B_13_135_0 ; } else
{ _rtXdot -> Wbattstartsat70_CSTATE = 0.0 ; } lsat = ( _rtX -> Wers_CSTATE <=
_rtP -> P_25 ) ; usat = ( _rtX -> Wers_CSTATE >= _rtP -> P_24 ) ; if ( ( ( !
lsat ) && ( ! usat ) ) || ( lsat && ( _rtB -> B_13_141_0 > 0.0 ) ) || ( usat
&& ( _rtB -> B_13_141_0 < 0.0 ) ) ) { _rtXdot -> Wers_CSTATE = _rtB ->
B_13_141_0 ; } else { _rtXdot -> Wers_CSTATE = 0.0 ; } lsat = ( _rtX ->
IntegratorLimited_CSTATE <= _rtP -> P_28 ) ; usat = ( _rtX ->
IntegratorLimited_CSTATE >= _rtP -> P_27 ) ; if ( ( ( ! lsat ) && ( ! usat )
) || ( lsat && ( _rtB -> B_13_168_0 > 0.0 ) ) || ( usat && ( _rtB ->
B_13_168_0 < 0.0 ) ) ) { _rtXdot -> IntegratorLimited_CSTATE = _rtB ->
B_13_168_0 ; } else { _rtXdot -> IntegratorLimited_CSTATE = 0.0 ; } lsat = (
_rtX -> accspeed_CSTATE <= _rtP -> P_37 ) ; usat = ( _rtX -> accspeed_CSTATE
>= _rtP -> P_36 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat && ( _rtB ->
B_13_180_0 > 0.0 ) ) || ( usat && ( _rtB -> B_13_180_0 < 0.0 ) ) ) { _rtXdot
-> accspeed_CSTATE = _rtB -> B_13_180_0 ; } else { _rtXdot -> accspeed_CSTATE
= 0.0 ; } lsat = ( _rtX -> Wbatt_CSTATE <= _rtP -> P_49 ) ; usat = ( _rtX ->
Wbatt_CSTATE >= _rtP -> P_48 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat
&& ( _rtB -> B_13_140_0 > 0.0 ) ) || ( usat && ( _rtB -> B_13_140_0 < 0.0 ) )
) { _rtXdot -> Wbatt_CSTATE = _rtB -> B_13_140_0 ; } else { _rtXdot ->
Wbatt_CSTATE = 0.0 ; } _rtXdot -> Wbatt_CSTATE_h = _rtB -> B_13_226_0 ;
_rtXdot -> Integral_CSTATE = _rtB -> B_13_159_0 ; lsat = ( _rtX ->
Integral1_CSTATE <= _rtP -> P_143 ) ; usat = ( _rtX -> Integral1_CSTATE >=
_rtP -> P_142 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat && ( _rtB ->
B_13_158_0 > 0.0 ) ) || ( usat && ( _rtB -> B_13_158_0 < 0.0 ) ) ) { _rtXdot
-> Integral1_CSTATE = _rtB -> B_13_158_0 ; } else { _rtXdot ->
Integral1_CSTATE = 0.0 ; } _rtXdot -> Integral_CSTATE_f = _rtB -> B_13_160_0
; lsat = ( _rtX -> time_CSTATE <= _rtP -> P_147 ) ; usat = ( _rtX ->
time_CSTATE >= _rtP -> P_146 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat
&& ( _rtB -> B_13_3_0 > 0.0 ) ) || ( usat && ( _rtB -> B_13_3_0 < 0.0 ) ) ) {
_rtXdot -> time_CSTATE = _rtB -> B_13_3_0 ; } else { _rtXdot -> time_CSTATE =
0.0 ; } _rtXdot -> INTeffdt_CSTATE = _rtB -> B_13_167_0 ; lsat = ( _rtX ->
time_CSTATE_b <= _rtP -> P_156 ) ; usat = ( _rtX -> time_CSTATE_b >= _rtP ->
P_155 ) ; if ( ( ( ! lsat ) && ( ! usat ) ) || ( lsat && ( _rtB -> B_13_166_0
> 0.0 ) ) || ( usat && ( _rtB -> B_13_166_0 < 0.0 ) ) ) { _rtXdot ->
time_CSTATE_b = _rtB -> B_13_166_0 ; } else { _rtXdot -> time_CSTATE_b = 0.0
; } } static void mdlInitializeSizes ( SimStruct * S ) { ssSetChecksumVal ( S
, 0 , 710656252U ) ; ssSetChecksumVal ( S , 1 , 3140790770U ) ;
ssSetChecksumVal ( S , 2 , 2761917032U ) ; ssSetChecksumVal ( S , 3 ,
4113577371U ) ; { mxArray * slVerStructMat = NULL ; mxArray * slStrMat =
mxCreateString ( "simulink" ) ; char slVerChar [ 10 ] ; int status =
mexCallMATLAB ( 1 , & slVerStructMat , 1 , & slStrMat , "ver" ) ; if ( status
== 0 ) { mxArray * slVerMat = mxGetField ( slVerStructMat , 0 , "Version" ) ;
if ( slVerMat == NULL ) { status = 1 ; } else { status = mxGetString (
slVerMat , slVerChar , 10 ) ; } } mxDestroyArray ( slStrMat ) ;
mxDestroyArray ( slVerStructMat ) ; if ( ( status == 1 ) || ( strcmp (
slVerChar , "10.1" ) != 0 ) ) { return ; } } ssSetOptions ( S ,
SS_OPTION_EXCEPTION_FREE_CODE ) ; if ( ssGetSizeofDWork ( S ) != sizeof (
DW_EVwithERSorFC_T ) ) { ssSetErrorStatus ( S ,
"Unexpected error: Internal DWork sizes do "
"not match for accelerator mex file." ) ; } if ( ssGetSizeofGlobalBlockIO ( S
) != sizeof ( B_EVwithERSorFC_T ) ) { ssSetErrorStatus ( S ,
"Unexpected error: Internal BlockIO sizes do "
"not match for accelerator mex file." ) ; } { int ssSizeofParams ;
ssGetSizeofParams ( S , & ssSizeofParams ) ; if ( ssSizeofParams != sizeof (
P_EVwithERSorFC_T ) ) { static char msg [ 256 ] ; sprintf ( msg ,
"Unexpected error: Internal Parameters sizes do "
"not match for accelerator mex file." ) ; } } _ssSetModelRtp ( S , ( real_T *
) & EVwithERSorFC_rtDefaultP ) ; rt_InitInfAndNaN ( sizeof ( real_T ) ) ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_12 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_24 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_27 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_30 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_32 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_36 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_40 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_51 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_64 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_66 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_68 [ 3 ] = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_77 [ 3 ] = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_81 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_115 = rtMinusInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_142 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_146 = rtInf ; ( (
P_EVwithERSorFC_T * ) ssGetModelRtp ( S ) ) -> P_155 = rtInf ; } static void
mdlInitializeSampleTimes ( SimStruct * S ) { slAccRegPrmChangeFcn ( S ,
mdlOutputsTID4 ) ; } static void mdlTerminate ( SimStruct * S ) { }
#include "simulink.c"
